using System.Numerics;
using Nethereum.ABI.FunctionEncoding.Attributes;

namespace Managing.ABI.GmxV2.ExchangeRouter.ContractDefinition
{
    public partial class SimulatePricesParams : SimulatePricesParamsBase
    {
    }

    public class SimulatePricesParamsBase
    {
        [Parameter("address[]", "primaryTokens", 1)]
        public virtual List<string> PrimaryTokens { get; set; }

        [Parameter("tuple[]", "primaryPrices", 2)]
        public virtual List<Props> PrimaryPrices { get; set; }

        [Parameter("uint256", "minTimestamp", 3)]
        public virtual BigInteger MinTimestamp { get; set; }

        [Parameter("uint256", "maxTimestamp", 4)]
        public virtual BigInteger MaxTimestamp { get; set; }
    }
}